%def_with shell
%def_with splash

Name: propagator
Version: 20080301
Release: alt4.M41.2

Summary: 'Early userspace' set of binaries
License: GPL
Group: System/Kernel and hardware

Source0: %name-%version-%release.tar

BuildRequires: libnewt-devel-static libslang-devel-static
BuildRequires: mkinitrd-busybox module-init-tools-initramfs udev-initramfs

%description
%name is a set of binaries useful in 'early userspace' environment,
including init and various helpers for hw probing and bootstrapping.
%name was built with and contains parts of following packages:

%{get_NSVR klibc}
%{get_NSVR udev-initramfs}
%{get_NSVR mkinitrd-busybox}
%{get_NSVR module-init-tools-initramfs}

%prep
%setup

%build
make %{?_with_shell:WITH_SHELL=t} %{?_with_splash:WITH_SPLASH=t} libdir=%_libdir

%install
%make_install DESTDIR=%buildroot libdir=%_libdir install

%files
%_bindir/gencpio
%_bindir/mkmodpack
%_libdir/%name

%changelog
* Mon Aug 25 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 20080301-alt4.M41.2
- fixed method `disk' breakage when no automatic params provided

* Wed Aug 20 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 20080301-alt4.M41.1
- unblock SIGIGN/SIGTSTP right before exec'ing secondary init (#15757)
- added ability to mount disk with 2nd stage by label or uuid (#15561)

* Wed Apr 16 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 20080301-alt4
- media scan delayed for devices, handled by usb-storage (#15348)
- add capability to boot directly from cd (folder with root fs) (stanv@)

* Tue Mar 18 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 20080301-alt3
- iso-on-nfs, iso-on-disk: stop trying to pass initial mountpoint
  with iso image to 2nd stage, there's no point for this

* Sun Mar 16 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 20080301-alt2
- fixed for x86_64

* Sat Mar  1 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 20080301-alt1
- use udev in 1st installer stage from now
- unchangeable part of initramfs prepared and packaged
- mkmodpack utility added

* Wed Aug  8 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 20070301-alt7
- do not show %name build date on tty1, closes \#12491

* Thu Aug  2 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 20070301-alt6
- use version string everywhere in user dialogs, closes \#12444
- added support for noload=module command line (boyarsh@)

* Wed Jul 18 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 20070301-alt5
- fixed crash when splashcount used, closes \#12365

* Fri May 25 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 20070301-alt4
- spawn animated splash, if possible

* Wed Apr 18 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 20070301-alt3
- do not warn user after insmod'ing already existing module, closes \#11549

* Thu Apr 12 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 20070301-alt2
- fixed env passing to 2nd stage

* Fri Mar 16 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 20070301-alt1
- switch to glibc, thanks to gns@
- redo block device probing, based on sysfs
- cleaned up

* Thu Nov 23 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 20061123-alt1
- added conditional shell spawning
- fixed probing of some RAID adaptors
- probe usbhid early
- one full-featured stage1 binary

* Tue Jan 24 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 20060124-alt1
- added tweaks for nForce nics

* Fri Oct 28 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 20051028-alt1
- modified init to pass given argv further

* Fri Aug 19 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 20050819-alt1
- modified IDE probing to use ide-generic if search in pcitable fails

* Thu Jul 07 2005 Anton D. Kachalov <mouse@altlinux.org> 20050707-alt1
- multilib support

* Tue Jul 05 2005 Anton Farygin <rider@altlinux.ru> 20050705-alt1
- export DNS_SERVER and DNS_SERVER2 for stage2

* Sat May 14 2005 Anton Farygin <rider@altlinux.ru> 20050514-alt1
- stage1 now may be used as modprobe (only modprobe -q -- <modulename> format supported)
- gencpio updated from 2.6.11 kernel with symlinks support

* Mon Apr 20 2005 Anton Farygin <rider@altlinux.ru> 20050420-alt1
- added splash update support

* Tue Apr 12 2005 Anton Farygin <rider@altlinux.ru> 20050412-alt1
- use squashfs for stage2 and live system

* Wed Mar 30 2005 Anton Farygin <rider@altlinux.ru> 20050330-alt1
- use ext2 filesystem for stage2

* Sat Mar  5 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 20050305-alt1
- usb cdrom/flash now supported
- ntfs added

* Wed Feb 16 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 20050216-alt1
- adopted for modularized IDE

* Tue Feb  8 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 20050208-alt1
- snapshot @ 20050208

* Fri Dec 17 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 20041215-alt0.2
- gencpio utility added

* Wed Dec 15 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 20041215-alt0.1
- snapshot @ 20041215

* Fri Nov 12 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 20041112-alt0.1
- Initial build.
